Package org.openoffice.da.comp.writer2xhtml

# Class ConfigurationDialog

java.lang.Object
com.sun.star.lib.uno.helper.WeakBase
org.openoffice.da.comp.w2lcommon.filter.ConfigurationDialogBase
org.openoffice.da.comp.writer2xhtml.ConfigurationDialog

All Implemented Interfaces:
  `com.sun.star.awt.XContainerWindowEventHandler`, `com.sun.star.lang.XServiceInfo`, `com.sun.star.lang.XTypeProvider`, `com.sun.star.uno.XInterface`, `com.sun.star.uno.XWeak`

public class ConfigurationDialog extends ConfigurationDialogBase implements com.sun.star.lang.XServiceInfo

## Nested Class Summary

## Nested classes/interfaces inherited from class org.openoffice.da.comp.w2lcommon.filter.ConfigurationDialogBase

`ConfigurationDialogBase.AttributePageHandler, ConfigurationDialogBase.CustomFileHandler, ConfigurationDialogBase.PageHandler, ConfigurationDialogBase.StylesPageHandler, ConfigurationDialogBase.UserListPageHandler`

## Field Summary

Fields
Modifier and Type
Field
Description
`static String`
`__implementationName`
The component should also have an implementation name.
`static String`
`__serviceName`
The component will be registered under this name.

### Fields inherited from class org.openoffice.da.comp.w2lcommon.filter.ConfigurationDialogBase

`config, filePicker, pageHandlers, sfa2, xContext, xPathSub`

### Fields inherited from class com.sun.star.lib.uno.helper.WeakBase

`_mapTypes`

### Fields inherited from interface com.sun.star.awt.XContainerWindowEventHandler

`UNOTYPEINFO`

### Fields inherited from interface com.sun.star.lang.XServiceInfo

`UNOTYPEINFO`

### Fields inherited from interface com.sun.star.lang.XTypeProvider

`UNOTYPEINFO`

### Fields inherited from interface com.sun.star.uno.XWeak

`UNOTYPEINFO`

## Constructor Summary

Constructors
Constructor
Description
`ConfigurationDialog(com.sun.star.uno.XComponentContext xContext)`
Construct a new `ConfigurationDialog`

## Method Summary

Modifier and Type
Method
Description
`protected String`
`getConfigFileName()`
`protected String`
`getDialogLibraryName()`
`String`
`getImplementationName()`
`protected String`
`getMIMEType()`
`String[]`
`getSupportedMethodNames()`
`String[]`
`getSupportedServiceNames()`
`boolean`
`supportsService(String sServiceName)`

### Methods inherited from class org.openoffice.da.comp.w2lcommon.filter.ConfigurationDialogBase

`callHandlerMethod`

### Methods inherited from class com.sun.star.lib.uno.helper.WeakBase

`finalize, getImplementationId, getTypes, queryAdapter`

### Methods inherited from class java.lang.Object

`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### __serviceName

public static String __serviceName
The component will be registered under this name.

### __implementationName

public static String __implementationName
The component should also have an implementation name.

## Constructor Details

### ConfigurationDialog

public ConfigurationDialog(com.sun.star.uno.XComponentContext xContext)
Construct a new `ConfigurationDialog`

## Method Details

### supportsService

public boolean supportsService(String sServiceName)

Specified by:
  `supportsService` in interface `com.sun.star.lang.XServiceInfo`

### getImplementationName

public String getImplementationName()

Specified by:
  `getImplementationName` in interface `com.sun.star.lang.XServiceInfo`

### getSupportedServiceNames

public String[] getSupportedServiceNames()

Specified by:
  `getSupportedServiceNames` in interface `com.sun.star.lang.XServiceInfo`

### getMIMEType

protected String getMIMEType()

Specified by:
  `getMIMEType` in class `ConfigurationDialogBase`

### getDialogLibraryName

protected String getDialogLibraryName()

Specified by:
  `getDialogLibraryName` in class `ConfigurationDialogBase`

### getConfigFileName

protected String getConfigFileName()

Specified by:
  `getConfigFileName` in class `ConfigurationDialogBase`

### getSupportedMethodNames

public String[] getSupportedMethodNames()

Specified by:
  `getSupportedMethodNames` in interface `com.sun.star.awt.XContainerWindowEventHandler`